Last Comment Bug 29632 - NSPR 4.0 bug fixes
: NSPR 4.0 bug fixes
Status: RESOLVED FIXED
:
Product: NSPR
Classification: Components
Component: NSPR (show other bugs)
: 4.0
: x86 Windows NT
: P3 normal (vote)
: 4.0
Assigned To: srinivas
: srinivas
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-29 07:34 PST by srinivas
Modified: 2000-06-28 11:56 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description srinivas 2000-02-29 07:34:52 PST
This report tracks the bug fixes in NSPR 4.0.
Comment 1 srinivas 2000-02-29 15:21:48 PST
List of fixes in NSPR 4.0:

15680 - The broadcast option for UDP sockets is missing in NSPR
28236 - NSPR is not auto-initialized for dynamic-library functions
23948 - Notification by PollableEvent is slow on WIN32 platforms
21621 - PR_SetThreadAffinityMask doesn't provide return under Irix
21201 - Uninitialized variable used in _PR_CreateThread
16566 - Enable compilation of prlog.c functions in optimized build
16554 - PR_FindSymbol(null, "symbolname") does search loaded symbols
15738 - PR_GetSystemInfo does not return the name of runtime OS



                                              
Comment 2 Wan-Teh Chang 2000-02-29 19:27:39 PST
Bugzilla #12913: NSPR does not support __declspec(dllimport)
Bugzilla #17601: Memory leak of thread private data in classic NSPR 
Bugzilla #18520: prmapopt.c:_PR_MapOptionName is incorrect 
Bugzilla #18700: Need to map ERROR_OPERATION_ABORTED 
Bugzilla #20393: PR_NewPollableEvent may dereference invalid/NULL pointers. 
Bugzilla #21428: LL_CMP(foo, <=, bar) is broken when !HAVE_LONG_LONG
Bugzilla #21750: The fcntl() calls on an accepted socket can be omitted on some 
Unix flavors. 
Bugzilla #23304: protypes.h (through prtypes.h) requires defining AIX4_3 on AIX 
4.3 
Bugzilla #23694: Enable the NT native-threads-only mode by a global variable 
Bugzilla #25042: Move the declaration of PR_Init_Log from prlog.h to pprio.h. 
Bugzilla #25140: Windows does not handle multi-byte char sets for file I/O 
Bugzilla #26479: PR_Open ignores PR_SYNC in the pthreads version. 
Bugzilla #27834: PR_ntohll and PR_htonll dumbly swap bytes. 
Comment 3 Wan-Teh Chang 2000-02-29 19:38:13 PST
Bugsplat #345414: PR_SetFDCacheSize is buggy.
Bugsplat #358401: Use separate .rc files for NSPR DLLs
Bugsplat #364726: pl_TopClose should call PR_PopIOLayer
Bugsplat #365031: pratom.h should not export struct PRStackStr
Bugsplat #365543: Define PR_TRUE,PR_FALSE without the PRIntn typecast
Comment 4 srinivas 2000-03-24 12:21:10 PST
Marking resolved.

Note You need to log in before you can comment on or make changes to this bug.